Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class ExpandHandler.ExpandAction

    java.lang.Object
      ix.ip2.HandlerAction
          ix.ip2.ExpandHandler.ExpandAction

Enclosing class:
  ExpandHandler

    public class ExpandHandler.ExpandAction

extends HandlerAction

Handles an activity by expanding it into subactivities as specified by a refinement schema.

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.HandlerAction
`HandlerAction.Automatic, HandlerAction.AutomaticWhenBound, HandlerAction.Manual, HandlerAction.NoAction, HandlerAction.NotApplicable`

Field Summary
`(package private) MatchEnv` | `env`
`(package private) java.util.List` | `filterEnvs`
`(package private) ix.icore.domain.ListOfConstraint` | `filters`
`(package private) AgendaItem` | `item`
`(package private) Refinement` | `refinement`

Fields inherited from class ix.ip2.HandlerAction
`shortDescription`

Constructor Summary
`ExpandHandler.ExpandAction(AgendaItem item, Refinement refinement, MatchEnv env)`

Method Summary
`protected void` | `applyEnv(MatchEnv env)`
`void` | `computeStatus()` Called when something has happened that might have changed this action's ready status.
`protected void` | `do_expansion(AgendaItem item)`
`protected MatchEnv` | `getInstantiationEnv()`
`ActionUnreadyReason` | `getUnreadyReason()` Returns an object that explains why this handler is not ready to be used.
`void` | `handle(AgendaItem item)` Handle the item in the manner appropriate to this handler-action.
`boolean` | `isReady()` Indicates whether this action is ready to be used or else is waiting for something that would enable it to be used.
`boolean` | `isStillValid()` Called when something has happened that might mean this action no longer makes sense and should be deleted.
`protected void` | `reevaluateFilters(AgendaItem item)`
`protected void` | `setSatusAfterExpansion(AgendaItem item)`

Methods inherited from class ix.ip2.HandlerAction
`canAlwaysBeTakenNow, getActionDescription, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### item

    AgendaItem item

### refinement

    Refinement refinement

### env

    MatchEnv env

### filters

    ix.icore.domain.ListOfConstraint filters

### filterEnvs

    java.util.List filterEnvs

Constructor Detail

### ExpandHandler.ExpandAction

    ExpandHandler.ExpandAction(AgendaItem item,
                               Refinement refinement,
                               MatchEnv env)

Method Detail

### isStillValid

    public boolean isStillValid()

  Description copied from class: `HandlerAction`
  Called when something has happened that might mean this action no longer makes sense and should be deleted. The method in the HandlerAction class just returns true and is overridden in subclasses that have instances that may cease to be valid.

  Typically, this method is called as a consequence of an `ItemHandler` calling the controllers's checkActionValidity method.

  Overrides:
    `isStillValid` in class `HandlerAction`
  See Also:
    `PanelController.checkActionValidity(ItemHandler handler, Object reason)`

### isReady

    public boolean isReady()

  Description copied from class: `HandlerAction`
  Indicates whether this action is ready to be used or else is waiting for something that would enable it to be used. The method in the HandlerAction class just returns true and is overridden in subclasses that have instances that are not always ready.

  Overrides:
    `isReady` in class `HandlerAction`
  See Also:
    `HandlerAction.getUnreadyReason()`

### computeStatus

    public void computeStatus()

  Description copied from class: `HandlerAction`
  Called when something has happened that might have changed this action's ready status. The method in the HandlerAction class does nothing and is overridden in subclasses that have instances that are not always ready.

  Overrides:
    `computeStatus` in class `HandlerAction`

### getUnreadyReason

    public ActionUnreadyReason getUnreadyReason()

  Description copied from class: `HandlerAction`
  Returns an object that explains why this handler is not ready to be used.

  Overrides:
    `getUnreadyReason` in class `HandlerAction`
  See Also:
    `HandlerAction.isReady()`

### handle

    public void handle(AgendaItem item)

  Description copied from class: `HandlerAction`
  Handle the item in the manner appropriate to this handler-action. The method in the HandlerAction class merely changes the item's status to COMPLETE and is overridden in subclasses that handle the item in more interesting ways.

  Overrides:
    `handle` in class `HandlerAction`

### setSatusAfterExpansion

    protected void setSatusAfterExpansion(AgendaItem item)

### do_expansion

    protected void do_expansion(AgendaItem item)

### getInstantiationEnv

    protected MatchEnv getInstantiationEnv()

### reevaluateFilters

    protected void reevaluateFilters(AgendaItem item)

### applyEnv

    protected void applyEnv(MatchEnv env)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD